Bug 457116 - Review Request: crcimg - Construct .crc files
Summary: Review Request: crcimg - Construct .crc files
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-29 18:22 UTC by Robin Norwood
Modified: 2008-09-10 06:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-10 06:50:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
opensource: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Robin Norwood 2008-07-29 18:22:24 UTC
Spec URL: http://people.redhat.com/rnorwood/rpms/crcimg.spec
SRPM URL: http://people.redhat.com/rnorwood/rpms/crcimg-1.1-1.fc9.src.rpm
Description: Tool for constructing .crc files from image files.

Comment 1 Till Maas 2008-08-08 10:19:03 UTC
- spec file naming: ok
- buildroot: ok
- summary/description: ok
- license: ok (GPLv2)
  - tag ok
  - matches license header in: crc32.c and crcimg.c
  - license included in %doc: COPYING
- directory ownage: ok
- not a library: ok
- not much documentation: ok
- rm in %clean: ok
- rm in %install: ok
- %defattr in %files: ok
- rpmlint: ok (silent)
- source file matches:
8e8cec7e15dcd3e3b5e35503d74ec636  crcimg-1.1.tar.bz2
8e8cec7e15dcd3e3b5e35503d74ec636  crcimg-1.1-1.fc9/crcimg-1.1.tar.bz2
- source url works: ok
- builds in koji: ok
http://koji.fedoraproject.org/koji/taskinfo?taskID=766134


NOT OK:
- optflags are not honoured:
gcc  -O -Wall -c -o crc32.o crc32.c
gcc  -O -Wall -c -o crcimg.o crcimg.c
gcc   -o crcimg crc32.o crcimg.o

You need to add:
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_OPT_FLAGS" to the make command in %build

For reference:
http://fedoraproject.org/wiki/Packaging/Guidelines#Compiler_flags

Please fix the optflags issue and I will approve this package.

Comment 2 Robin Norwood 2008-08-08 14:56:55 UTC
Thanks for the review - fixed the optflags issue here:

http://people.redhat.com/rnorwood/rpms/crcimg.spec
http://people.redhat.com/rnorwood/rpms/crcimg-1.1-3.fc9.src.rpm

Comment 3 Till Maas 2008-08-08 15:15:27 UTC
(In reply to comment #2)
> Thanks for the review - fixed the optflags issue here:
> 
> http://people.redhat.com/rnorwood/rpms/crcimg.spec
> http://people.redhat.com/rnorwood/rpms/crcimg-1.1-3.fc9.src.rpm

looks good, APPROVED.

Comment 4 Robin Norwood 2008-08-08 15:27:15 UTC
New Package CVS Request
=======================
Package Name: crcimg
Short Description: Tool for constructing .crc files from image files.
Owners: rnorwood
Branches: F-9
InitialCC: 
Cvsextras Commits: Yes

Comment 5 Kevin Fenzi 2008-08-10 01:17:39 UTC
cvs done.

Comment 6 Fedora Update System 2008-08-11 02:43:40 UTC
crcimg-1.1-3.fc9 has been submitted as an update for Fedora 9

Comment 7 Fedora Update System 2008-08-12 18:24:06 UTC
crcimg-1.1-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update crcimg'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7201

Comment 8 Fedora Update System 2008-09-10 06:50:35 UTC
crcimg-1.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.